This tree works just as the one found in the Microsoft Windows Explorer, expand/collapse a tree item by double click on the icon or by single click on the plus/minus symbol.
Buttons below bound to the tree root.

This is the method thats called when you click on a tree item.

Pretty self explaining, expands or collapses the current item.

Expands or collapses the current item and all child items (recursive).

Expands or collapses all child items (recursive) but not the item itself.

Returns the id of the selected item (if any)

Add node(s) below selected, or remove the selected node.


MediaMan Help

Index of Help Topics
Please click any of the following topics to get help.


MediaMan Online Help Navigation

Back Home (Index) www.imediaman.com


Exporting the Collection

You may export the content of the current collection file using the collection export wizard. MediaMan allows you to export your collection into Microsoft Word RTF files, HTML files, and CSV files. Use File -> Export -> Collection ... to access the wizard.

You'll be prompted for the choice of export file format in the first page of the wizard. Choose one from the choices available. Please note that if you are exporting the virtual shelf rendering, it'll be exported in the PNG (Portable Network Graphic) format.

In the rest of the wizard, you'll be prompted for more options such as the items to export, the fields to export, and sorting options. MediaMan currently allows you to export the search result, selected items, or a category of items. To export the whole collection, choose the option to export the root node of the category tree (It's named "My Collection" by default). Additionally, you can export items in a selected series of fields, this will help if you were exporting to a CSV file with a small set of required fields.

If you choose to export the price field in the format of HTML list or CSV, MediaMan will automatically calculate the total price and put it as an additional record in the bottom of the list.

(Note: To export search results, you are strongly advised to invoke the wizard in the search dialog. For more information, please check out the search tool tutorial.


Managing Item Icons

By default, the category icon is assigned to the new item. You may customize it by right click in the list pane, and choose "Change Icon". Icons aren't applicable to the virtual shelf view mode.

You may import your own icon files (.ico, .bmp, .png) on your hard drive to be the category icons. For more information please refer to the program options dialog.


Managing Item Status

Managing per-item-status in MediaMan is easy. In some scenario, you lent some of your movies to your friends, you may want to keep tracking of the lent items. You can quickly set the status of an item by using the context menu (right click).

By right clicking in the list view, you will be able to assign status to one or more items using the context menu. If you wish to add more information to the status, like a person or a due date, click "Advanced" in the context menu and bring up the advanced status management dialog.

Some status (i.e. borrow, lend, rent etc.) comes with a due date reminder feature. Such items will be highlighted when the due date comes.

MediaMan uses a color scheme to tag items in virtual shelf and tool tip to reflect its status. The following chart explains what each color means:

Lent
Borrowed
Rented Out
Rented
Just Bought
Sold Out
On the Way
Collectible
Custom

Use the mode selection button to switch the category pane to the status tree mode, in which, items are classified according to their status. Switch to the Expanded List view mode and sort by status, to see the details of the item status information. Since the items are listed in the item list pane, it's easy to perform management tasks, such as resetting status or edit a series of records.


Preferences and Customization

Use Tools -> Options to activate MediaMan options dialog to configure default parameters of the program.

Preferences

The preferences page allows you to configure the basic parameters of MediaMan.

In the collection file section, you may specify to load the last opened collection file on start (default: checked). Additionally, you can let the program to automatically save the current collection file every few minutes (default: unchecked).

MediaMan resize pictures to reduce its size when importing to the collection. Specify a target number of pixels as the parameter in the images section.

In the webcam barcode scanning section, you may choose your webcam device from the list and decide if to use the strict mode (default: checked), which provides better results.

User Interface

MediaMan allows full user interface customization. It offers a "Wide Frame" interface mode (list pane and detail pane splitted horizontally) in addition to the traditional "Full Frame" mode (list pane and detail pane splitted vertically). You are advised to try both and set the preferred one here.

There are addition options to specify the collation conversion options and expanded list style options. In case you found the conversion result annoying, you can always turn it off.

Customize

MediaMan supports content retrieval from Amazon United States, Germany, Great Britain, Japan, Canada and France. Specify your preferred one in the "Customize" page. You can also import your own icon file (.ico, .bmp, .png) on your hard drive to be the category icons.

Upon icon importing, MediaMan will make a copy of the icons in the application data folder (Usually, C:\Documents and Settings\User\Application Data\MediaMan\Data). Removing the icon in the Option dialog doesn't remove the icon files, you'll have to delete them manually.

Theme

The theme tab allows you to choose theme packages and variations to customize the look of virtual shelf view and the item detail HTML template. Fefer to the technical specification for technical information about MediaMan theme mechanism. Please log on to www.imediaman.com to download additional theme packages or to get more information.

Advanced

The "Advanced" tab allows you to specify options to show/hide certain fields in the detail pane. This setting will also affect the default settings of the collection export wizard, and the search tool.

MediaMan supports a lot of regular fields in order to record the information of various kinds of media. You may find it difficult to choose fields to hide. In this case, use right click on the field tree, and get faster access to the selecting operation of these fields, as is shown in the following picture.


Using “PlayIt”

“PlayIt” makes it possible to play your media files directly inside MediaMan. It's designed for easy playback of audio files on your hard drive, without leaving MediaMan and launch an audio player program. With simple setup, you can enjoy audio playback of formats such as MP3, WMA, OGG, or FLAC right inside MediaMan. You'll also find it convenient to utilize “PlayIt” with other files such as video, picture, or ebooks.

To setup “PlayIt”, you need to first put your audio files onto your hard drive. MediaMan supports audio files only, and it cannot play CDs or DVDs. So the first thing to do is to create a folder on your hard drive, give it a name such as "My Music", and copy your audio files there. If you are working with CDs, you can click here for tutorials on ripping Audio CDs using Windows Media Player.

To associate an item to files on the hard drive, simply double click an item to open the Edit Item Dialog, point to the Files tab, and click Attach to Folder. In the folder choice popup, just navigate to the folder that contains the audio files. You can also use it to attach a single file, or to synchronize folder contents with item.

To use “PlayIt” to playback your files, simply click the PlayIt tab in the detail pane. And MediaMan will follow these rules in their order, to generate the player content:

  1. If the file listing contains one or more audio files, MediaMan automatically generate a playlist and starts the built-in audio player to play these files. Other files are simply ignored at this time.
  2. If the file listing contains other files that might be playable, such as video files or ebook files, MediaMan will display a link to this file. Clicking it will cause your video player or ebook reader to be launched to open this file. At this time, MediaMan only displays the first found file as the link, other files are ignored.
  3. If the file listing is empty, but the detail URL field contains a local file link, MediaMan will display this link with the same functionality as #2.

If an item meet neither of the above criteria, the help message will be displayed.

The built-in audio player features basic playback control and status displaying. The user interface is very similar to other audio player programs, you'll find it easy to operate. Note that MediaMan's built-in audio player is based on Windows Media Player. So this feature will only work if you have Windows Media Player 7 or above installed on your computer.


Searching the Collection

Find items in the collection by using the search tool. MediaMan supports text keyword search on most fields available in the item entry dialog.

Click "Search" on the toolbar or use menu Edit -> Search... to switch the category pane into search mode.

Two types of search is allowed in MediaMan, search in text fields, and search in date fields. You'll be prompted to choose the type of search in the beginning. When it's done, click "Next" to proceed.

In a text field based search, search engine style condition syntax is allowed. Please consult the following table for the details on search condition syntax.

Syntax 1: | Comedy Love
Result 1: | Match all items having both "Comedy" and "Love"
Syntax 2: | Comedy OR Love
Result 2: | Match all items having either "Comedy" and "Love"
Syntax 3: | "Jerry Seinfeld" "Larry David"
Result 3: | Match all items having both "Jerry Seinfeld" and "Larry David"
Syntax 4: | "Jerry Seinfeld" OR "Larry David"
Result 4: | Match all items having either "Jerry Seinfeld" and "Larry David"

Please note that to match multiple conditions, "OR" must be written in capital, otherwise it'll be treated as a regular word. Do not use "AND", it's not necessary and it will be treated as a regular word. You can mix up the above syntax to produce complicated boolean matches. There's no limit on the number of conditions.

Case-insensitive matching option is available in the search pane. By default, it's on.

In a date field based search, you can specify one date to search for items released on a exact date, or specify two dates to match items released in a specified period.

The results of the search will be displayed in the item list pane. So it's possible to perform regular management tasks, such as assigning tags, editing, and printing easily. To print out a list of the search result, just press Ctrl+A to select all items, and click File -> Print. Be sure to specify "Selected Items" in the scope option.


Collection Statistics

MediaMan can draw a statistics pie chart based on the currently opened collection file in the home page. Click "STATISTICS" on the navigation bar to see it.

The first chart is drawn based on the number of items in each category, representing an overview of the collection file. You may pick one of the available charts from the "Show statistics based on" drop-down list to view the graphical statistics information. Please note that only items that contains the specific statistics fields will be calculated. That is, the "Artists" chart calculates those items with "Artists" field filled-in. In addition, each pie chart can show up to 12 sectors. It'll combine the rest sectors into a single one if the total number of sectors exceeds this limit.

In addition to the graph, you may click the link below it or use File -> Export -> Statistics ... to export statistics data into a Comma Separated Values (CSV) file for use with third-party software.

Statistics charts are not automatically updated. You must click the "Update" button to enforce an update.

*Note: The CSV file exported by MediaMan is actually separated by the tab character, this made it easier for applications such as Microsoft Excel to use.


Managing Tags

Tagging is a popular method to manage digital content. It provides an alternative way to the category mechanism to manage items based on their subjects or nature. However, it's important to understand the tagging concept before using this feature, or otherwise, you can find it frustrating.

First of all, category represent the physical belonging of items. Each item can be belong to one and only one category. You can create nested categories at an unlimited level. Each collection file has its own master category structure. If it helps you to understand, category works like folders and the items you imported works like files.

Tags on the other hand, is a user-wide preference. It's stored in Windows Registry, just like other program preferences. Which means that you'll have only a single tag set, even if you are working with multiple collection files. Tag is actually a text field available in the "Extra" tab in the Edit Item Dialog. Assigning/changing the tag field of an item doesn't affect its physical belonging (category). Unlike categories, each item can have multiple tags, and thus belongs to multiple subjects of your choices. For instance, a movie can belong to both "My DVD Pick" tag and "Comedy" tag.

In order to use tags, first you need to create and maintain your own set of tags. Use the mode selection button in the category pane to switch to the tag mode.

MediaMan will populate the default tag set if it's the first time you used this feature. All the items will be scanned and classified to their corresponding tags. For the items not containing tags, they will be placed into the "Unassigned" folder.

Entries rendered in bold text are called Tag Groups. And the entries under them are called Tags. Right click on a tag group or a tag and click "Insert Tag Group", or use keyboard shortcut Ctrl+Ins to create a new tag group. You must name the tag group at this point to create it. Right click on a tag group or a tag and click "Insert Tag", or use keyboard shortcut Insert to create a new tag sunder the selected group.

Note: You are not allowed to create two tags in the same name, even if they belong to different tag groups. MediaMan will treat duplicated tags as the same.

Assigning tags to items is very easy, you can either select one or more items in the Item List Pane and use the Extra tab in the Edit Item Dialog, or click "Assign Tags..." in the Item List Pane context menu. You don't have to remember and enter those tag names, you can click the button on the right side of the edit box to bring up the Tag Dialog, and select tags from the tag group tree.

Click OK to close these dialogs, and accept the changes. The tag tree will soon reflect the changes you made. You can now view the classified items by clicking their tags. Click a tag group to view items in all tags under it.

Tag data is stored in the application data folder (Usually, C:\Documents and Settings\User\Application Data\MediaMan\Data), to move the tag settings to another computer or another user, just make sure you copied the files to the corresponding folder.


Configuring your webcam for barcode scanning

The webcam barcode scanner is a new feature in MediaMan 2.0. It dramatically save your time on batch item importing using the media item wizard. However, you'll have to configure your webcam first before using this feature.

First, barcode scanning requires a relatively clear output image from your webcam. Therefore, you'll need a mid-class or better webcam. An example in this class is Logitech® Quickcam Pro 4000. Some of the following configuration guide is based on the software and the hardware of this webcam model.

The only setting you want to touch here is the "Low Light Filter". Typical webcams use software based contrast adjustment to enhance the images produced in the night. However, it'll slow down your computer. You'll probably find your webcam works a lot faster in messenger program with this option turned off. And therefore, to get a reasonable performance during barcode scanning. It's recommended that you turn "Low Light Filter" feature (or similar ones) off.

You'll also need to adjust the focus of your webcam to use the barcode scanner. You may skip this step if you own an auto-focus webcam. Usually, the focus of the webcam is configured at the distance of 3 feet (or 1 meter), so that it'll be focused on your face when you are having a video chat. But barcode scanning requires a closer distance. You'll need to put the barcode part of the product within 3 inches (7 centimeters) in front of the webcam. To adjust the focus, you'll be using the focus ring.

The focus ring is typically a rubber ring in the front of the lens of your webcam. You'll need to rotate it counter-clockwise to adjust the focus to a closer distance. It don't have to be exactly 3 inches, just keep rotating until you see a blurry image of yourself.

Now, you can try putting the barcode part of some products of your choice in front of the webcam to see if it's working. Try holding them for one or two seconds until MediaMan beeps and copy the scanned barcode to the edit box.


Importing Items to the Collection Automatically

In MediaMan, you can import items into your collection by downloading information from Amazon or the Library of Congress. To do this, we will need to use the Import Wizard. An Internet connection is required during this process. (If you don't have an Internet connection, or wish to type information manually, you may proceed to the dialog based manual item entry tutorial.)

Choose a sub category from the category pane. Press the "Import Items" button on the toolbar or use menu command Action -> Import Items -> From Amazon... to bring up the Import Wizard. Please note that you can also click the drop-down arrow next to "Import Items" on the toolbar to activate the Library of Congress Import Wizard.

Click "Next" in the welcome page, and you'll be forwarded to the keyword page.

Type the title of your item in the Keyword edit box. Choose the type of your media, an Amazon International store, and click "Next". (Default Amazon international site can be customized in Tools -> Options.)

You may notice that if you typed the title, "Keyword Search Mode" will appear on the screen. This means that the Media Item Wizard is currently in keyword searching mode, and it'll treat the text you entered as product keywords. Alternatively, you can batch import items using manually entered ISBN numbers, barcode numbers or using your webcam to scan barcodes.

Tip: Using the batch ISBN/UPC/EAN mode.
It's really easy to activate batch mode in the media item wizard. Just enter those ISBN/UPC/EAN numbers spaced by "space". And the wizard will automatically recognize those numbers and activate the batch mode.

Please note that you'll still have to choose "Media Type" in this process. And therefore you can't actually mix up books and DVDs. This behavior is a limitation in the Amazon WebService.

Tip: Using your webcam to scan barcodes

(Note: This feature requires a high quality webcam configured, and Microsoft DirectX 9.0)
You do have to configure your webcam a little bit before actual scanning. Check out the webcam configuration guide for more information. If you've already done it, press "Scan Barcode from Webcam..." and the barcode scanning dialog will appear.

The barcode scanner dialog works in full non-interactive mode. It doesn't have a "scan" button. According to the configuration guide, you need to first adjust the focus of your webcam to around 3-inches (around 7 centimeters). And then put the barcode part of your media in front of the webcam, just as you see the barcode in the "Video" window, like the above one. Hold it for one or two seconds. MediaMan will automatically sense and read out the barcode and write to the keyword edit box.

You may have noticed that the barcode scanner is actually an extension to the batch mode. The wizard will automatically activate the batch mode to hold your scanned numbers.

Tip: Using CueCat or other PS/2, USB-based barcode scanner

Click the button next to the keyword entry edit box to launch the batch barcode entry dialog. It works as an extension to the single-line keyword box. It allows you to enter barcodes separated by the <Enter> key, which is a typical behavior of these kind of barcode scanners. Additionally, MediaMan will automatically decode the output of CueCat series scanners.

After scanning, the batch entry dialog will automatically recognize the type of the barcode and convert it if applicable. You can check to see if it was correctly entered.

MediaMan will perform a web search based on Amazon Web Service to find the information about your product after you clicked "Next".

After the search process, MediaMan will display a list of matching items. If the list box is not wide enough to fit in all the details, you can click any items to activate the preview window.

Choose the items in the list, hold on Shift or Ctrl to choose multiple items. If you didn't see your matching product in the result box, you can search again by another keyword. Choose the matching items and click "Next". Now MediaMan will connect to Amazon Web Service and retrieve detailed information about them and add them to the selected category.

Click "Finish" in the wizard and back to the main interface. You'll see the selected items being added to your collection.

Take a look at the alternative way of adding an item or proceed to the collection file saving tutorial.


Adding an Item by Dialog
Alternatively, an item can be added by typing information manually in the dialog. This tutorial will show you how to add an item using the New Item Dialog. (To avoid confusion, the dialog won't retrieve any information from the Internet. It's merely about what you typed. To use the automated-content-retrieving wizard, check out this tutorial.)

Click the arrow beside "Import Items" and choose "In Dialog..." or use menu command Action -> Import Items -> In Dialog... will bring up the New Item Dialog. Now you may go ahead and fill the dialog with the information about the media item you wanted to add.

Please note that you need to check the check box beside some fields to enable them for typing. Fields like "Features", "Authors", "Artists" can contain multiple values. It is suggested that you separate these values by the <Enter> key.

Some fields has a drop-down button on the right side of the edit box. MediaMan will remember the values you entered in these fields, and you can easily recall previously entered values by clicking this button.

If you wish to enter fields that is not available, you may use the custom fields. The syntax is:
FieldName1=FieldValue1
FieldName2=FieldValue2

Press "OK" and this item will be added to the collection.

To save the changes into a collection file, please consult the saving tutorial.


Managing Categories

MediaMan supports unlimited nested categories. Six default categories (Audio CD, Books, DVD, VHS Tape, Software, Games) are created in a new collection file. You can create your own sub category by right clicking on any of the existing one. The category structure is stored in the collection file.

If it helps you to understand, category works like folders and the items you imported works like files.

A menu will popup showing the available options for the selected category. Choose "Insert Category" and type a name for it. Alternatively, when the focus is in the category view, you can press "Insert" to create a new category.

If you wanted to rename a category, right click on it and choose "Rename". Or, in an easy way, single click on it.

A category is associate with an icon and description. Right click on a category and choose "Properties" to modify these settings.

You can drag a category and drop it to another one to move it. In this case, all the nested categories and items under it will be preserved and moved to the target one.

If you want to move items across different categories, check out the item list pane tutorial or the cutting and pasting tutorial.

Using the mode selection button, you can access alternative organizing methods, such as tagging and status.


Technical Concept

MediaMan is a utility program specialized in cataloging media. It works like a database program which accepts and records your input and keep it on your hard drive. Advanced features allow you to perform various additional tasks with the data you entered, or reuse them.

Like most Windows program, MediaMan uses the file concept. Your collection is treated as a file. All the information in your collection, including the category tree structure, item textual content, and pictures are stored in a file. It's called a MediaMan Collection File, which has a .mmc extension. There are commands in the program that allows you to create, open, and save a collection file. Dealing with a collection file is pretty much the same as dealing with other data files. Your changes will only be retained after you save the file using the save command.MediaMan can deal with one collection file at a time, although it allows you to have multiple collection files on your hard drive. You can copy a collection file to another computer to use with another copy of MediaMan and the data shall be represented in the exact same way.

However, information including program preferences, custom imported icons, and tags are stored in Windows Registry.


Copying, Cutting and Pasting an Item
It is suggested that you use the item list pane drag-&-drop feature to organize items among categories. Check out the item list pane tutorial for more information. However, MediaMan also provides traditional way of item management by cutting, copying and pasting. Items in a category can be copied or moved to another one. It is done by the "Copy", "Cut", "Paste" command under the "Edit" Menu, or the "Scissors" (Cut), "Paste" button on the tool bar.

Simply choose some items in the list view, and press "Cut" or "Copy", select another category and press "Paste".

Alternatively, you may use the item cutting and pasting function from the item context menu (right click in the list view).

For more information on moving categories one to another, check out the category management tutorial.


Editing and Removing One Or More Items
Editing an existing item is pretty much the same process as adding an item using the dialog. Choose the one or more items from the list view and press the "Edit" button on the toolbar, or double click an item in the list view, you'll see an Edit Item Dialog which is very similar to the Add Item Dialog. Check out the new item dialog tutorial for details.

If you select multiple items and click edit, you will enter the batch edit dialog. In this feature, you can modify the same field for all selected items in one go. As you modify those fields, the field name will be highlighted, only the highlighted fields will be modified after click "OK".

Click the cross button on the toolbar to delete the selected items.

Alternatively, you may right click in the list view pane and choose editing or deleting commands from the context menu.


User Interface Overview

MediaMan's opening screen.

Menu & Toolbar All functions in MediaMan can be invoked from the Menubar. While frequently used functions can be found on the toolbar.
Category Pane Nested category to classify your media items, use the mode selection button on top to switch to other organizing modes, such as tagging and status.
Mode Overview Pane Display mode-specific general information and quick helps.
Homepage Screen Display generic information about the collection file, statistics and web resource links.

Item List Pane A list of items containing brief descriptions, or in this case, a digital shelf.
Item Detail Pane Detailed information about the selected item displayed in HTML.

Switch between Category View, Item List View, and Item Detail View by pressing F6 or TAB key, or switch backwards by pressing Shift+F6 or Shift+TAB.

The layout of the main window can be customized using the pane swapping buttons.

Pane swapping button is available in the category pane and the item list pane. Clicking this button will result in swapping of neighbor panes. With the use of this feature, you can customize the layout of the program to fit your special requirement. The following picture shows an example of the effects of pane swapping.


Saving Your Collection
After adding or editing your collection. You need to save it as a file. Press the "Diskette" (Save) on the tool bar to save the collection.

MediaMan will prompt you to choose a file name if it hasn't been named yet. After saving, the asterisk (*) on the title bar will disappear, which means your collection file hasn't been modified since last save.

MediaMan Collection File (*.mmc) is the file format used to store collection data. All your category information, media item description and pictures are stored in this single file. MediaMan is associated with *.mmc if it is installed properly. Double click on an mmc file in "My Computer" will launch MediaMan to open it.

Check out advanced topics such as item editing, category management, collection file backing up, and item status management.


Starting MediaMan

Start MediaMan via Start Menu -> MediaMan -> MediaMan if you have it installed using default settings.

You'll see a home page along with default category setup on the left. The home page contains a few task shortcuts, some brief information about what collection file you are currently using and its statistics data.

On the top side, there are the menu bar and the tool bar that issues commands to the program. Right below, there's a small grey area that shows the current selected category. On the left side, there are the category view and category information panel. Statistics information of the category will be displayed in this panel.

Before we move to the next level, let's take a look at the basic elements of the user interface.


Using the Item Detail Pane

The detail view looks like a web browser displaying all the detailed information about the selected item, including images.

You may use the tabs on the top of the detail view to switch between regular detailed content view and the gallery view which shows all 5 pictures associated with the item.

The detail view may look differently under different themes. It may also look different under different program modes (full-frame and wide-frame). Additionally, you can hide some of the fields you didn't care about. To use this feature, and/or switch program mode, check out the program options dialog.


Using the Item List Pane

The Item List Pane shows a list of items under current category. It provides 4 different styles with various sorting options. Use the view button on the toolbar or the View menu to configure these options.

The following picture shows the looks of the four different list styles (a.k.a. view mode).

Besides the menu and the toolbar, you can use keyboard shortcuts, Alt+1, Alt+2, Alt+3, and Alt+4 to switch between these views.

The item list pane also provides quick access to sorting functions. Click the arrow button next to the "swapping" button, to activate list pane sorting feature. For optimal use of the sorting feature, you'd better use the "expanded list" view mode.

Please note that the sorting option is category-specific. Which means that you can have different default sorting option for different categories. MediaMan remembers this setting in the collection file.

To provide more intuitive view of sorted fields, MediaMan highlights those sorted fields and bring them to the front of the second line of the descriptions. Please note that the highlight feature is only available in "expanded-list" mode. If you didn't see any highlights, it should be that none of the items has a value in the field you were sorting. In this case, items wil be sorted by titles.

The item list pane supports drag-&-drop item organization. It's far more convenient than cut-&-paste operations.


License Agreement
END-USER LICENSE AGREEMENT FOR MEDIAMAN SOFTWARE

IMPORTANT—READ CAREFULLY: This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and He Shiming (“The Author”) for the MediaMan software that accompanies this EULA, which includes associated program itself, registration key(if applicable), and Internet-based services ("Software"). An amendment or addendum to this EULA may accompany the Software. YOU AGREE TO BE BOUND BY THE TERMS OF THIS EULA BY INSTALLING, COPYING, OR USING THE SOFTWARE. IF YOU DO NOT AGREE, DO NOT INSTALL, COPY, OR USE THE SOFTWARE.

1. GRANT OF LICENSE.
The Author grants you the following rights provided that you comply with all terms and conditions of this EULA:
1.1 Installation and use of the downloaded evaluation edition. You may:
(a) freely install the evaluation edition of the Software on any number of computers and use it for no more than 30 days; and
(b) redistribute the installer of the evaluation edition of the Software without reclaiming the ownership or authorship.
1.2 Installation and use after purchasing and product registration. You may:
(a) install and use a copy of the Software on one (or the number of licenses purchased) personal computer or other device permanently; and
(b) install an additional copy of the Software on a second, portable device for the exclusive use of the primary user of the first copy of the Software as backup.
1.3 License Grant for Media Elements. The Software may include certain photographs, clip art, shapes, animations, sounds, music and video clips that are identified in the Software for your use (together "Media Elements"). You are not licensed to do any of the following:
• You may not copy, modify, or distribute Media Elements.
• You may not sell, license or distribute copies of the Media Elements by themselves or as part of any collection, product or service if the primary value of the product or service is in the Media Elements.
• You may not grant customers of your product or service any rights to license or distribute the Media Elements.
• You may not license or distribute any of the Media Elements that include representations of identifiable individuals, governments, logos, initials, emblems, trademarks, or entities for any commercial purposes or to express or imply any endorsement or association with any product, service, entity, or activity.
• You may not create obscene or scandalous works using the Media Elements.
1.4 License Grant for Documentation. The documentation that accompanies the Software is licensed for internal, non-commercial reference purposes only.

2. RESERVATION OF RIGHTS AND OWNERSHIP.
The Author reserves all rights not expressly granted to you in this EULA. The Software is protected by copyright and other intellectual property laws and treaties. The Author own the title, copyright, and other intellectual property rights in the Software. The Software is licensed, not sold. This EULA does not grant you any rights to trademarks or service marks of MediaMan or other corporations.

3. LIMITATIONS ON REVERSE ENGINEERING, DECOMPILATION, AND DISASSEMBLY.
You may not reverse engineer, decompile, or disassemble the Software or its components, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

4. NO RENTAL/COMMERCIAL HOSTING.
You may not rent, lease, lend or provide commercial hosting services with the Software.

5. LINKS TO THIRD PARTY SITES.
The Author is not responsible for the contents of any third-party sites or services, any links contained in third-party sites or services, or any changes or updates to third-party sites or services. These links and access to third-party sites and services are provided to you only as a convenience.

8. ADDITIONAL SOFTWARE/SERVICES.
This EULA applies to updates, supplements, add-on components, or Internet-based services components, of the Software that The Author may provide to you or make available to you after the date you obtain your initial copy of the Software, unless they are accompanied by separate terms. The Author reserves the right to discontinue Internet-based services provided to you or made available to you through the use of the Software. The Author is not responsible for software services or components provided from a third-party vendor.

9. NOT FOR RESALE SOFTWARE.
Software identified as "Not for Resale" or "NFR," may not be sold or otherwise transferred for value, or used for any purpose other than demonstration, test or evaluation.

10. SEPARATION OF COMPONENTS.
The Software is licensed as a single product. Its component parts may not be separated for use on more than one device.

11. SOFTWARE TRANSFER.
Internal. You may transfer your copy of the Software to a different device. After the transfer, you must completely remove the Software from the former device. Transfer to Third Party. If you are the person who initially licensed the Software, you may make a one-time permanent transfer of this EULA, Software and Certificate of Authenticity (if applicable) to another end user, provided that you do not retain any copies of the Software. This transfer must include all of the Software (including all component parts, the media and printed materials, any upgrades, this EULA, and, if applicable, the Certificate of Authenticity). The transfer may not be an indirect transfer, such as a consignment. Prior to the transfer, the end user receiving the Software must agree to all the EULA terms.

13. TERMINATION.
Without prejudice to any other rights, The Author may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the Software and all of its component parts.

14. NO WARRANTY
MEDIAMAN IS SOLD "AS IS" AND WITHOUT ANY WARRANTY AS TO MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER WARRANTIES EITHER EXPRESSED OR IMPLIED. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

16. ENTIRE AGREEMENT; SEVERABILITY.
This EULA (including any addendum or amendment to this EULA which is included with the Software) is the entire agreement between you and The Author relating to the Software and the support services (if any) and they supersede all prior or contemporaneous oral or written communications, proposals and representations with respect to the Software or any other subject matter covered by this EULA. If any provision of this EULA is held to be void, invalid, unenforceable or illegal, the other provisions shall continue in full force and effect.

Should you have any questions concerning this EULA, or if you desire to contact The Author for any reason, please visit MediaMan on the World Wide Web at http://www.imediaman.com/.


Software Features
  • Automatically importing items from Amazon and the Library of Congress. MediaMan is capable of automatically importing the information of the media from Amazon and the Library of Congress. All 6 Amazon international sites, including Amazon United States, Great Britain, Germany, France, Canada, and Japan, are supported. Just enter the title, or scan a barcode, the wizards will take care of the rest.

  • Rendering your collection in realistic digital shelves. The virtual shelf mode renders your entire collection in the form of life-like DVDs, CDs, and Books on a shelf. The dimension of items and the shelf can be adjusted live.

  • Managing the collection in nested categories. You may create parent and child categories like folders on your hard drive. Each item is associated with a category. The "Show Flattened" feature allows you to view all items in the child nested categories.

  • Managing borrow and rental status. MediaMan has built-in support to assign borrow or rental status to all items. It's also possible to add person names and dates in addition to the status. In the expanded list view mode, items with statuses will be highlighted.

  • Printing and exporting the collection. You can print out a list of items or export your collection to HTML, RTF, CSV, and TXT format files. Plus, the rendering of virtual shelf can be exported directly.

  • Single collection file and native Unicode. MediaMan keeps all the information of your collection, including categories, textual content, images and statuses, in a single collection file. It's highly compressed, and it supports Unicode, so that you may use any languages in the item context.


Technical Support

Technical support of MediaMan can be obtained via http://www.imediaman.com/support/.


What's New in 2.70
  • Multi-core (multi-processor) aware virtual-shelf rendering. MediaMan takes the advantage of the latest generation processors such as Intel Core Duo and AMD Athlon X2 in virtual-shelf rendering and other long tasks in the program. Now the program is designed to utilize full power of dual-processor and even quad-processor configuration. Virtual-shelf rendering is now up to 80% faster than before on a dual processor computer.

  • Improved PlayIt functionality. “PlayIt” became a tab in the detail pane since MediaMan 2.70. With simple setup, you can now enjoy music playback and quick video, ebook launch within the program. “PlayIt” is now capable of playback media files on your hard drive.

  • Improved webcam barcode scanner. Webcam barcode scanner has been rewritten in version 2.70. It's now much more efficient and usable than ever before.

  • Improved overall usability. Some small new features, such as remembering the last selected category, keyboard navigation tweaks in list pane, and other extra enhancement has made MediaMan a much easier program to use. MediaMan 2.70 has done some further improvements to work with Windows Vista too.

  • Other notable improvements in version 2.70 and 2.60 series include improved printing, exporting, collection file handling, revised and corrected user interaction logic in several interface components, extra theme case looks, revised self-update mechanism, and bug fixes.

Click here to see new features in MediaMan 2.50.

For a complete list of what's been changed during version upgrades, please check out the change log section on www.imediaman.com.


What's New in 2.30
  • Super-charged program performance in rendering. MediaMan now renders the virtual shelf in background without blocking the user interface. The caching module now caches both images and text content, it makes use of more memory in return of rendering performance.

  • Importing from the Library of Congress in addition to Amazon, with Preview. MediaMan now supports querying the Library of Congress to get the information on items that is not available on Amazon. It's now possible to preview the content in the result before entering them into the collection.

  • Safe collection file prevents from corruption. Version 2.30 introduced an improved collection file format to ensure that the data is safe. It prevents program internal crashes or other problems from accidentally destroying the collection file. Not only this, the new file format provides faster access and better overall performance.

  • Adjusting the dimension of the virtual shelf live. It's now possible to zoom in & out virtual shelf by using the magnifier glass button on the list pane.

  • Editing multiple items. Choose multiple items and click "Edit", it's as easy as editing a single item. Along with your entry process, MediaMan will highlight those modified fields in green, and will modify only these fields in the selected items.

  • Printing and exporting the collection. With MediaMan 2.30, it's easy to print out a list of items in the collection. It's now possible to specify sorting options in printing and exporting. And you can now export the rendering of virtual shelf to a PNG image file.

  • Category-specific sorting options, supporting almost all fields, and "Show-Flattened". MediaMan now remembers sorting options for each category. And sorting is available for nearly. The new "Show-Flattened" button on toolbar allows you to see all items in the child nested categories.

  • New fields: genre, rating; managing more pictures and even file listings. Version 2.30 introduced several new frequently requested fields. It's now possible to manage genre, rating, and even associating files on your hard drive to any items. Each item can now have up to 5 pictures associated.

For a complete list of what's been changed during version upgrades, please check out the change log section on www.imediaman.com.


What's New in 2.50
  • New organizing method: tagging. Tagging, a very popular way of information organizing, is now available in MediaMan. Use the mode selection button in the category pane to access this feature. You can now create tag groups and tags and assign them to your items. It works like labeling and it doesn't affect the physical belonging (categories) of the items. It's helpful when you wish to classify your items in the subjects or genres of your choice, or that you simply want to put similar items together. Additionally, the tags you created are user-specific, which means it's usable across multiple collection files.

  • New organizing method: status. Use the mode selection button in the category pane to access the status management feature. MediaMan will classify all items according to their status. Using the expanded view mode, sorted by status, you can get a quick overview of what have been lent or are borrowed. It's showed right in the item list pane, so you can select and print out a list of them for your reference, or reset that status, or assign tags to them easily.

  • New search tool. MediaMan 2.50 introduced a new search tool that works inside the category pane. The search result is displayed right in the item list pane. The internal search engine now supports conditioned syntax, such quoting (") to match the exact phrase, and multiple matching using OR. Plus, it now supports date-based querying. You can search for items that is released or published in a period of your choice. With results being displayed in the item list pane, you can easily perform management tasks, such as assigning tags, printing, and/or editing to the results.

  • User interface improvements. The user interface improvement in MediaMan 2.50 includes revised item list pane, category pane, exporting and printing dialog. It not only makes the interface look nicer, but also, features like sorting and zooming are now easier to access.

  • Other notable improvements in version 2.50 include a revised version of virtual shelf theme, bug fixes to background thread and data file operations, and performance improvements in both rendering, and general program tasks.

Click here to see new features in MediaMan 2.30.

For a complete list of what's been changed during version upgrades, please check out the change log section on www.imediaman.com.


MediaMan Technical Information

General Program Information

The following table summarizes the technical details of MediaMan.

Program Specific
Developed in: | C/C++, Windows Template Library, Adaptive Component Library (ACL)
Third-party components: | TinyXML, FreeImage, zlib
Content retrieval sponsored by: | Amazon Web Service program
Content retrieval program version: | Amazon E-Commerce System v4.0
Collection File Specific
Maximum categories: | Around 32,000
Maximum records (items): | Around 2,000,000,000
Record format: | XML (in the form of Amazon ECS 4.0, or Amazon AWS 3.0 for older collections)

MediaMan Theme Mechanism

MediaMan theme utilizes state-of-the-art graphics technologies to paint and simulate a visually pleasant digital shelf. The painting process relies on the "Group" field of each item and the theme package file. The "Group" field is a new feature introduced in MediaMan 1.6, previously known as "catalog". Usually, if the item was retrieved from Amazon, it'll be automatically filled with corresponding values. Common values are "Book", "DVD", "Music". The theme package file defines the look of the virtual shelf by means of this value. The default theme package defines the look for only these three groups ("Book", "DVD", "Music").

Therefore, for optimal use of virtual shelf, you are suggested to fill in the group field with either of the three values. You can use the edit dialog to do a batch update.

Amazon E-Commerce System

MediaMan relies on Amazon E-Commerce System 4.0, which is a part of the Amazon Web Service program, to retrieve product information and pictures. All Amazon International stores, including Amazon United States, Germany, Great Britain, Japan, Canada and France are supported, use the MediaMan Options dialog to configure your default store. Amazon Web Services (AWS) provides software developers direct access to Amazon's ever-growing technology platform and product data. Developers are empowered to innovate and build businesses by creating dynamic, highly-effective Web sites and Web applications. For more information, please refer to the service introduction page on Amazon at http://www.amazon.com/gp/aws/landing.html.